Bug 42454 - remove code associated with unused icons
Summary: remove code associated with unused icons
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
(earliest affected)
Master old -3.6
Hardware: Other All
: medium normal
Assignee: Julien Chaffraix
QA Contact:
Whiteboard: target:3.7.0
Keywords: difficultyBeginner, easyHack, skillCpp, topicCleanup
Depends on:
Reported: 2011-10-31 13:53 UTC by Michael Meeks
Modified: 2015-12-15 23:50 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:

[PATCH] Fix for EasyHack FDO42454, remove code associated with unused icons (2.17 KB, patch)
2011-12-16 12:20 UTC, Gustavo Pacheco

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2011-10-31 13:53:54 UTC
We have a number of unused icons (cf. bug #42453) that are still mentioned in the source code, and are included. We should grok the packed image.zip to look for high-contrast cross icons, then grep the code for those icons, and remove the associated .src file entries, .hrc defines, and any code that uses them.

Hopefully there are relatively few of these now, but some remain eg. res/lx03241.png or res/sx03241.png or cmd/lc_splitparentvertical.png etc.

It'd be great to manually review, and prune these outliers: a list of files to 'git rm' and a patch to cleanup any code using them would be wonderful.
Comment 1 Gustavo Pacheco 2011-12-16 12:20:48 UTC
Created attachment 54514 [details]
[PATCH] Fix for EasyHack FDO42454, remove code associated with unused icons

I have found 8 high-contrast cross icons in images.zip:

But only list.png, galimpl.png, galimps.png were referenced in the code:

fpicker/res/list.png: list.bmp (removed from /fpicker/source/office/iodlg.src in the patch)
svx/res/galimps.png: galimps.bmp (removed from svx/source/gallery2/gallery.src in the patch)
svx/res/galimpl.png: galimpl.bmp (removed from cui/source/dialogs/gallery.src in the patch)
Comment 2 Gustavo Pacheco 2011-12-16 14:52:45 UTC
Oh! =(
Really sorry Julien, I see now that the bug is assigned to you! I'm embarrassed, I did the same that the other guy did in https://bugs.freedesktop.org/show_bug.cgi?id=43058. I hope that's no problem for you. You are welcome if you have some additional information about this bug.
Comment 3 Florian Reisinger 2012-05-18 08:21:40 UTC
Removed EASYHACK from summary
Comment 4 Michael Stahl 2012-07-06 11:10:16 UTC
mmeeks, can you please take a look at the patch attached here?
Comment 5 Not Assigned 2012-07-16 13:19:42 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":


Resolves: fdo#42454 'imported' gallery format doesn't appear to exist
Comment 6 Caolán McNamara 2012-07-16 13:22:43 UTC
The attached patch was basically committed as http://cgit.freedesktop.org/libreoffice/core/commit/?id=e220f41cb2486d2ad101d98e48fbbc40c9fd08c3

Given the above list, the only remaining dodgy looking icons were
digging into those, they appear to be for an "imported" gallery theme, but I can see no way to generate one of those, unless you have one already installed (gallery.sdi) and the code for it goes back to 2000, so it seems to be a pre OpenOffice.org StarOffice thing and seeing as we never migrated staroffice config dirs to OpenOffice.org (or LibreOffice of course) I think we can safely remove those too and the broken icons associated with that format.

Sooo, assuming the above list was correct, then this is now complete
Comment 7 Robinson Tryon (qubit) 2015-12-15 23:50:46 UTC
Migrating Whiteboard tags to Keywords: (EasyHack,DifficultyBeginner,SkillCpp,TopicCleanup)